# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased](https://git.rustybever.be/Chewing_Bever/lander/src/branch/dev)

* HTTP Loop
    * Fully decoupled functionality from Lander-specific code
    * Users can now define custom global & request-local contexts
    * Introduced "response steps", allowing custom code during the response
      part of a request

## [0.1.0](https://git.rustybever.be/Chewing_Bever/lander/src/tag/0.1.0)

### Added

* Implemented own event & HTTP loop (used Crow framework before)
* Serve redirects & pastes
* Support uploading pastes & redirects
* Env vars for configuring data dir and port
